Bug 23456 - up2date tries to upgrade RPMs already installed
Summary: up2date tries to upgrade RPMs already installed
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-06 00:53 UTC by Jonathan Larmour
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-18 20:21:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Larmour 2001-01-06 00:53:26 UTC
I installed an RPM for cups that was available on a web page:

Name        : cups                         Relocations: (not relocateable)
Version     : 1.1.4                             Vendor: (none)
Release     : 1                             Build Date: Thu 05 Oct 2000
09:47:24 AM BST
Install date: Wed 20 Dec 2000 01:00:21 AM GMT      Build Host:
foxtrot.easysw.com
Group       : Applications                  Source RPM:
cups-1.1.4-1.src.rpm
Size        : 7281233                          License: 1993-2000 by Easy
Software Products, All Rights Reserved.
Packager    : Easy Software Products
Summary     : Common UNIX Printing System
Description :

However, now up2date is telling me to "upgrade" to the cups that it
provides. Except it is
a lower version, 1.1.1-4 ! i.e.

Name        : cups                         Relocations: (not relocateable)
Version     : 1.1.1                             Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Fri 04 Aug 2000
08:53:44 PM BST
[etc.]

Comment 1 Mike Moran 2001-01-18 20:21:53 UTC
I've got 15 packages which have the current level installed by up2date, yet
still report that they need to be upgraded.  rpm -a -q confirms installation and
level.   rpm --rebuilddb has no effect on the situation.

Comment 2 Bill Nottingham 2001-01-19 07:07:26 UTC
Check the serial numbers; they are most likely different.

rpm -q --qf "%{SERIAL}\n" <package>
rpm -qp --qf %"{SERIAL}\n" <package>.rpm

Higher serial numbers override higher version numbers.

Comment 3 Jonathan Larmour 2001-01-19 07:16:22 UTC
For my installed package, when I try that I get (none). Surely then it should
fall back to version number comparison?



Note You need to log in before you can comment on or make changes to this bug.